%define packagename CGI-Response
%define packageversion 0.03
%define release 1
%define makeopts ""
%define makemakeropts ""
%define makeperlopts ""

Name:      perl-%{packagename}
Version:   %{packageversion}
Release:   %{release}
Group:     Development/Languages/Perl
Source:    CGI-Response-0.03.tar.gz
Source1:   makerpm.pl
Copyright: Probably the same terms as perl.  Check.
BuildRoot: /var/tmp/CGI-Response-0.03
Provides:  perl-%{packagename}
Summary:   The Perl package CGI-Response

%description
This package contains the perl module CGI-Response.

B<CGI::Response> is a Perl5 module for constructing responses to Common
Gateway Interface (CGI) requests.  It is designed to be light-weight
and efficient for the most common tasks, and also to provide access to
all HTTP response features for more advanced CGI applications.

There are two ways to use CGI::Response.  For basic applications, the
B<Simple Interface> provides a number of plain functions that cover the
most commonly-used CGI response headers.  More advanced applications
may employ the B<Full Interface> object methods to access any HTTP
header, or to add experimental or non-standard headers.  Both
interfaces try to generate reasonable defaults whenever possible.

For efficiency, just the Simple Interface functions are compiled on
start-up.  Full Interface methods are compiled only when they are
called.  This helps to make CGI::Response usable in a variety of
applications.  [See L<SelfLoader> for more information.]

=head2 Simple Interface

The Simple Interface methods are B<not> exported by default.  In order
to use them, you must import them explicitly.  You can import all of
the methods at once by saying:

use CGI::Response qw(:Simple);

Or, you can import just one function by listing it by name, as in:

use CGI::Response qw(ContentType);

%prep
$RPM_SOURCE_DIR/makerpm.pl --source=CGI-Response-0.03.tar.gz --verbose   --prep



%build
$RPM_SOURCE_DIR/makerpm.pl --source=CGI-Response-0.03.tar.gz --verbose  --build --runtests %{makeopts} %{makeperlopts} %{makemakeropts} 



%install
rm -rf $RPM_BUILD_ROOT



#makerpm is run after the install script to pick up all of the files

$RPM_SOURCE_DIR/makerpm.pl --source=CGI-Response-0.03.tar.gz --verbose  --install %{makeopts}

%clean



rm -rf $RPM_BUILD_ROOT

%pre



%post



%preun



%postun



%verifyscript



%files -f CGI-Response-0.03/CGI-Response-0.03.rpmfilelist

%doc CGI-Response-0.03/README

